package exemplos;

import java.util.ArrayList;
import org.junit.Test;
import static org.junit.Assert.*;

public class ArrayListTest {

    @Test
    public void testAdd() {
        ArrayList<Integer> lista = new ArrayList<>();
        assertEquals(0, lista.size());
        lista.add(20);
        lista.add(10);
        lista.add(20);
        assertEquals(3, lista.size());
        // apenas assertEquals(20, lista.get(0)) não compila
        // devido a confusão entre o tipo primitivo int
        // e o tipo referência Integer...
        assertEquals(new Integer(20), lista.get(0));
        assertEquals(10, lista.get(1).intValue());
        assertEquals(20, lista.get(2).intValue());
    }

    @Test
    public void testSort() {
        ArrayList<Integer> lista = new ArrayList<>();
        lista.add(10);
        lista.add(2);
        lista.add(-4);
        lista.add(3);
        // ordena segundo a ordem natural dos inteiros
        lista.sort(null);
        assertArrayEquals(
                new Integer[]{-4, 2, 3, 10},
                lista.toArray(new Integer[4])
        );
    }
}
