package exemplos;

import org.junit.Test;
import static org.junit.Assert.*;

public class StringBuilderTest {

    @Test
    public void testAppend() {
        StringBuilder b = new StringBuilder();
        b.append("Total: ");

        // append retorna o próprio StringBuilder,
        // então podemos fazer um encadeamento
        // de chamadas
        b.append(150).append(" unidades");

        assertEquals("Total: 150 unidades", b.toString());
    }

    @Test
    public void testConstrutor() {
        // reserva uma capacidade inicial para
        // o buffer interno do StringBuilder
        StringBuilder b = new StringBuilder(2500);
        assertTrue(b.capacity() >= 2500);
    }

    @Test
    public void testDelete() {
        StringBuilder b = new StringBuilder(
                "Construtor que recebe uma string inicial"
        );
        b.delete(10, 32);
        assertEquals("Construtor inicial", b.toString());
    }
}
